Permalink
Browse files

Clean up gemspec; remove jeweler

  • Loading branch information...
1 parent 36830c4 commit 60af048736c65de1073473cd87fca605e97ccb90 @rsanheim committed Mar 11, 2011
Showing with 36 additions and 190 deletions.
  1. +1 −9 Gemfile.lock
  2. +2 −26 Rakefile
  3. +28 −146 nachos.gemspec
  4. +5 −9 spec/spec_helper.rb
View
@@ -3,8 +3,6 @@ PATH
specs:
nachos (0.0.6)
git-hub (= 1.4.1)
- json
- nachos
octopussy
thor
@@ -16,17 +14,11 @@ GEM
faker (0.9.5)
i18n (~> 0.4)
fakeweb (1.3.0)
- git (1.2.5)
git-hub (1.4.1)
hashie (0.4.0)
httparty (0.6.1)
crack (= 0.1.8)
i18n (0.5.0)
- jeweler (1.5.2)
- bundler (~> 1.0.0)
- git (>= 1.2.5)
- rake
- json (1.5.1)
log_buddy (0.6.0)
mocha (0.9.12)
octopussy (0.3.1)
@@ -49,8 +41,8 @@ PLATFORMS
DEPENDENCIES
faker
fakeweb
- jeweler
log_buddy
mocha
nachos!
+ rake
rspec (~> 2.4)
View
@@ -1,32 +1,8 @@
require 'rubygems'
require 'rake'
require File.join(File.dirname(__FILE__), *%w[lib nachos version])
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.version = Nachos::VERSION
- gem.name = "nachos"
- gem.summary = %Q{Nachos - sync and stuff with Github}
- gem.description = %Q{Because everyone loves Nachos!}
- gem.email = "rsanheim@gmail.com"
- gem.homepage = "http://github.com/rsanheim/nachos"
- gem.authors = ["Rob Sanheim"]
- gem.add_dependency "octopussy"
- gem.add_dependency "thor"
- gem.add_dependency "json"
- # may want to vendor this...could conflict with the manual install folks
- gem.add_dependency "git-hub", "1.4.1"
- gem.add_development_dependency "jeweler"
- gem.add_development_dependency "rspec", "~> 2.4"
- gem.add_development_dependency "faker"
- gem.add_development_dependency "mocha"
- gem.add_development_dependency "fakeweb"
- gem.add_development_dependency "log_buddy"
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
-end
+
+Bundler::GemHelper.install_tasks
require 'rspec/core/rake_task'
View
@@ -1,152 +1,34 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "nachos/version"
Gem::Specification.new do |s|
- s.name = %q{nachos}
- s.version = "0.0.6"
+ s.name = "nachos"
+ s.version = Nachos::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Rob Sanheim"]
+ s.email = ["rsanheim@gmail.com"]
+ s.homepage = "http://github.com/rsanheim/nachos"
+ s.summary = %q{Sync yo gems}
+ s.description = %q{Sync your gems}
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Rob Sanheim"]
- s.date = %q{2011-03-11}
- s.default_executable = %q{nachos}
- s.description = %q{Because everyone loves Nachos!}
- s.email = %q{rsanheim@gmail.com}
- s.executables = ["nachos"]
- s.extra_rdoc_files = [
- "LICENSE",
- "README.markdown"
- ]
- s.files = [
- ".document",
- ".rvmrc",
- "LICENSE",
- "README.markdown",
- "Rakefile",
- "bin/nachos",
- "features/nachos.feature",
- "features/step_definitions/nachos_steps.rb",
- "features/support/env.rb",
- "features/support/fakeweb/fakes.rb",
- "lib/nachos.rb",
- "lib/nachos/cli.rb",
- "lib/nachos/config.rb",
- "lib/nachos/github.rb",
- "lib/nachos/main.rb",
- "lib/nachos/version.rb",
- "nachos.gemspec",
- "spec/nachos/cli_spec.rb",
- "spec/nachos/config_spec.rb",
- "spec/nachos/github_spec.rb",
- "spec/nachos/main_spec.rb",
- "spec/nachos_spec.rb",
- "spec/spec_helper.rb"
- ]
- s.homepage = %q{http://github.com/rsanheim/nachos}
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.6.0}
- s.summary = %q{Nachos - sync and stuff with Github}
- s.test_files = [
- "spec/nachos/cli_spec.rb",
- "spec/nachos/config_spec.rb",
- "spec/nachos/github_spec.rb",
- "spec/nachos/main_spec.rb",
- "spec/nachos_spec.rb",
- "spec/spec_helper.rb"
- ]
-
- if s.respond_to? :specification_version then
- s.specification_version = 3
+ s.rubyforge_project = "nachos"
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<nachos>, [">= 0"])
- s.add_development_dependency(%q<rspec>, ["~> 2.4"])
- s.add_development_dependency(%q<faker>, [">= 0"])
- s.add_development_dependency(%q<mocha>, [">= 0"])
- s.add_development_dependency(%q<fakeweb>, [">= 0"])
- s.add_development_dependency(%q<log_buddy>, [">= 0"])
- s.add_development_dependency(%q<jeweler>, [">= 0"])
- s.add_development_dependency(%q<rspec>, ["~> 2.4"])
- s.add_development_dependency(%q<faker>, [">= 0"])
- s.add_development_dependency(%q<mocha>, [">= 0"])
- s.add_development_dependency(%q<fakeweb>, [">= 0"])
- s.add_development_dependency(%q<log_buddy>, [">= 0"])
- s.add_development_dependency(%q<jeweler>, [">= 0"])
- s.add_development_dependency(%q<rspec>, ["~> 2.4"])
- s.add_development_dependency(%q<faker>, [">= 0"])
- s.add_development_dependency(%q<mocha>, [">= 0"])
- s.add_development_dependency(%q<fakeweb>, [">= 0"])
- s.add_development_dependency(%q<log_buddy>, [">= 0"])
- s.add_runtime_dependency(%q<octopussy>, [">= 0"])
- s.add_runtime_dependency(%q<thor>, [">= 0"])
- s.add_runtime_dependency(%q<json>, [">= 0"])
- s.add_runtime_dependency(%q<git-hub>, ["= 1.4.1"])
- s.add_development_dependency(%q<jeweler>, [">= 0"])
- s.add_development_dependency(%q<rspec>, ["~> 2.4"])
- s.add_development_dependency(%q<faker>, [">= 0"])
- s.add_development_dependency(%q<mocha>, [">= 0"])
- s.add_development_dependency(%q<fakeweb>, [">= 0"])
- s.add_development_dependency(%q<log_buddy>, [">= 0"])
- else
- s.add_dependency(%q<nachos>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.4"])
- s.add_dependency(%q<faker>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<fakeweb>, [">= 0"])
- s.add_dependency(%q<log_buddy>, [">= 0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.4"])
- s.add_dependency(%q<faker>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<fakeweb>, [">= 0"])
- s.add_dependency(%q<log_buddy>, [">= 0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.4"])
- s.add_dependency(%q<faker>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<fakeweb>, [">= 0"])
- s.add_dependency(%q<log_buddy>, [">= 0"])
- s.add_dependency(%q<octopussy>, [">= 0"])
- s.add_dependency(%q<thor>, [">= 0"])
- s.add_dependency(%q<json>, [">= 0"])
- s.add_dependency(%q<git-hub>, ["= 1.4.1"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.4"])
- s.add_dependency(%q<faker>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<fakeweb>, [">= 0"])
- s.add_dependency(%q<log_buddy>, [">= 0"])
- end
- else
- s.add_dependency(%q<nachos>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.4"])
- s.add_dependency(%q<faker>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<fakeweb>, [">= 0"])
- s.add_dependency(%q<log_buddy>, [">= 0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.4"])
- s.add_dependency(%q<faker>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<fakeweb>, [">= 0"])
- s.add_dependency(%q<log_buddy>, [">= 0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.4"])
- s.add_dependency(%q<faker>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<fakeweb>, [">= 0"])
- s.add_dependency(%q<log_buddy>, [">= 0"])
- s.add_dependency(%q<octopussy>, [">= 0"])
- s.add_dependency(%q<thor>, [">= 0"])
- s.add_dependency(%q<json>, [">= 0"])
- s.add_dependency(%q<git-hub>, ["= 1.4.1"])
- s.add_dependency(%q<jeweler>, [">= 0"])
- s.add_dependency(%q<rspec>, ["~> 2.4"])
- s.add_dependency(%q<faker>, [">= 0"])
- s.add_dependency(%q<mocha>, [">= 0"])
- s.add_dependency(%q<fakeweb>, [">= 0"])
- s.add_dependency(%q<log_buddy>, [">= 0"])
- end
-end
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+
+ s.add_development_dependency "rspec", "~> 2.4"
+ s.add_development_dependency "faker"
+ s.add_development_dependency "mocha"
+ s.add_development_dependency "fakeweb"
+ s.add_development_dependency "log_buddy"
+ s.add_development_dependency "rake"
+ s.add_runtime_dependency "octopussy"
+ s.add_runtime_dependency "thor"
+ s.add_runtime_dependency "git-hub", "1.4.1"
+ # s.add_runtime_dependency %q<json>, [">= 0"])
+end
+
View
@@ -1,13 +1,9 @@
-$LOAD_PATH.unshift(File.dirname(__FILE__))
-$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
-require 'nachos'
require 'bundler/setup'
-# require 'rspec'
-# require 'fakeweb'
-# require 'faker'
-# require 'json'
-# require 'log_buddy'
-Bundler.require(:default, :development)
+Bundler.require(:development)
+
+require "json" # not sure why this needs to be here....but it does.
+require "nachos"
+
LogBuddy.init
FakeWeb.allow_net_connect = false

0 comments on commit 60af048

Please sign in to comment.